Main Page Widgets glibmm Namespaces Book

# fileattributeinfo.h File Reference

## Namespaces

namespace | Gio

## Classes

class | Gio::FileAttributeInfo
| Information about a specific attribute - see FileAttributeInfoList. More...

## Enumerations

enum | Gio::FileAttributeType { Gio::FILE_ATTRIBUTE_TYPE_INVALID, Gio::FILE_ATTRIBUTE_TYPE_STRING, Gio::FILE_ATTRIBUTE_TYPE_BYTE_STRING, Gio::FILE_ATTRIBUTE_TYPE_BOOLEAN, Gio::FILE_ATTRIBUTE_TYPE_UINT32, Gio::FILE_ATTRIBUTE_TYPE_INT32, Gio::FILE_ATTRIBUTE_TYPE_UINT64, Gio::FILE_ATTRIBUTE_TYPE_INT64, Gio::FILE_ATTRIBUTE_TYPE_OBJECT }
enum | Gio::FileAttributeInfoFlags { Gio::FILE_ATTRIBUTE_INFO_NONE = 0, Gio::FILE_ATTRIBUTE_INFO_COPY_WITH_FILE = 1 << 0, Gio::FILE_ATTRIBUTE_INFO_COPY_WHEN_MOVED = 1 << 1 }
enum | Gio::FileAttributeStatus { Gio::FILE_ATTRIBUTE_STATUS_UNSET, Gio::FILE_ATTRIBUTE_STATUS_SET, Gio::FILE_ATTRIBUTE_STATUS_ERROR_SETTING }

## Functions

FileAttributeInfoFlags | Gio::operator| (FileAttributeInfoFlags lhs, FileAttributeInfoFlags rhs)
FileAttributeInfoFlags | Gio::operator& (FileAttributeInfoFlags lhs, FileAttributeInfoFlags rhs)
FileAttributeInfoFlags | Gio::operator^ (FileAttributeInfoFlags lhs, FileAttributeInfoFlags rhs)
FileAttributeInfoFlags | Gio::operator~ (FileAttributeInfoFlags flags)
FileAttributeInfoFlags& | Gio::operator|= (FileAttributeInfoFlags& lhs, FileAttributeInfoFlags rhs)
FileAttributeInfoFlags& | Gio::operator&= (FileAttributeInfoFlags& lhs, FileAttributeInfoFlags rhs)
FileAttributeInfoFlags& | Gio::operator^= (FileAttributeInfoFlags& lhs, FileAttributeInfoFlags rhs)